
I was making a curve on the opposite direction of the road at high speed on a motorcycle. Suddenly, I saw a truck coming in my direction, only five meters between us, and then I closed my eyes expecting the worst. I saw all my life, all my past, my family and friends, all the important moments of my life in a flash. Then I opened my eyes and I don’t know what happened. I should have died in front of that truck, and that didn’t happen. I didn’t do anything besides wait for certain death. I wasn’t alone, my friend was on the bike with me and could not explain and did not understand why we didn’t die.
